<sqtm-core-customisable-dialog
  [titleKey]="'sqtm-core.generic.label.to-log-in'"
  [dialogId]="dialogId"
>
  <sqtm-core-dialog-body>
    <form [formGroup]="formGroup">
      <div class="sqtm-core-dialog-form">
        @if (usesUsernameField) {
          <label class="label label__align_right">{{
            'sqtm-core.generic.label.login.singular' | translate
          }}</label>
          <label>
            <input
              nz-input
              formControlName="username"
              [attr.data-test-field-name]="'username'"
            />
          </label>
        }
        <label class="label label__align_right">{{
          'sqtm-core.generic.label.password' | translate
        }}</label>
        <label>
          <input
            nz-input
            type="password"
            formControlName="password"
            [attr.data-test-field-name]="'password'"
          />
        </label>
      </div>
      @if (connectionError) {
        <span style="color: red">
          {{ 'sqtm-core.generic.label.connection.failed' | translate }}</span
        >
      }
    </form>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <button
      nz-button
      nzType="primary"
      [attr.data-test-button-id]="'connection'"
      (click)="connect()"
    >
      {{ 'sqtm-core.generic.label.confirm' | translate }}
    </button>
    <button class="m-l-10" nz-button nzType="default" sqtmCoreDialogClose>
      {{ 'sqtm-core.generic.label.cancel' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
